<?php

//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++\\
 //+ $IMAGE :  image pointer from function ImageCreate() +\\
 //+ $RGB_CODE :  text value   "R,G,B"   example:  GREEN is "0,255,0"   +\\
function COLOR($IMAGE,$RGB_CODE)              //+ This function exports a color pointer with specified color code +\\
 { 
   $P_ARRAY = array();
   $tok = strtok($RGB_CODE,",");
   while ($tok)
    {
      $P_ARRAY[] = intval(trim($tok));
      $tok = strtok(",");
    }
  return ImageColorAllocate($IMAGE,intval($P_ARRAY[0]),intval($P_ARRAY[1]),intval($P_ARRAY[2]));
 }
//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++\\

function  BAR_CHART(
                $VALUE_ARRAY, $NAME_X_ARRAY, $COLOR_ARRAY,
                $GRAPH_HEADING, $X_LEGEND, $Y_LEGEND, $GRAPH_HEIGHT, $GRAPH_WIDTH,
                $HEADING_HEIGHT, $BLANK_PLACE, $BLANK_PLACE_FOR_VALUE, $HEIGHT_OF_TEXT_VALUE,
                $SIZE_OF_INCREMENT_LINE, $BLANK_PLACE_OVER_LARGEST_COLUMN, $DISTANCE_BETWEEN_COLUMNS,
                $TEXT_HEIGHT_OF_COLUMN_VALUE, $STEP_ON_Y_AXIS, $COLOR_OF_VERTICAL_LINES,$GRAPH_FILL_COLOR,
                $EXPORT_INTO_FILE, $F1, $FONT_SIZE_OF_NAME, $FONT_COLOR_OF_NAME,
                $F2, $FONT_SIZE_OF_VALUE, $FONT_COLOR_OF_VALUE, $FONT_SIZE_OF_NAME_GRAPH,
                $F3, $FONT_COLOR_OF_NAME_GRAPH, $FONT_SIZE_OF_LEGEND, $F4, $FONT_COLOR_OF_LEGEND
               )
{
  if (trim($EXPORT_INTO_FILE) == "") { Header("Content-Type: image/gif"); }  

  $WORKPLACE_HEIGHT = $GRAPH_HEIGHT - $BLANK_PLACE - $HEADING_HEIGHT - $HEIGHT_OF_TEXT_VALUE;
  $WORKPLACE_WIDTH = $GRAPH_WIDTH - 2*$BLANK_PLACE - $BLANK_PLACE_FOR_VALUE;

  $im = ImageCreate($GRAPH_WIDTH,$GRAPH_HEIGHT);  //+ Create an image object +\\
  $white = COLOR($im,"255,255,255");
  $blue = COLOR($im,"1,1,255");
  $black = COLOR($im,"0,0,0");
  $light_gray = COLOR($im,$GRAPH_FILL_COLOR);
  $contour = COLOR($im,"30,30,30");
 // + Draw outline of the workplace + \\
  ImageRectangle($im,$BLANK_PLACE+$BLANK_PLACE_FOR_VALUE,
                     $HEADING_HEIGHT,
                     $GRAPH_WIDTH-$BLANK_PLACE,
                     $GRAPH_HEIGHT-$BLANK_PLACE-$HEIGHT_OF_TEXT_VALUE,
                     $contour);
  // + Fill color in the workplace + \\
  ImageFilledRectangle($im,$BLANK_PLACE+$BLANK_PLACE_FOR_VALUE+1,
                           $HEADING_HEIGHT+1,
                           $WORKPLACE_WIDTH+$BLANK_PLACE_FOR_VALUE+$BLANK_PLACE-1,
                           $WORKPLACE_HEIGHT+$HEADING_HEIGHT-1,
                           $light_gray);
  // + Graph heading is centered over the workplace + \\
  $fx = ($BLANK_PLACE+$BLANK_PLACE_FOR_VALUE+bcdiv($WORKPLACE_WIDTH,2)) - $F3*strlen($GRAPH_HEADING) /2;
  ImageString($im,$FONT_SIZE_OF_NAME_GRAPH,
                  $fx,
                  $HEADING_HEIGHT / 3,
                  $GRAPH_HEADING,
                  COLOR($im,$FONT_COLOR_OF_NAME_GRAPH));
  // + Legend of X- axis + \\
  $fx = ($BLANK_PLACE+$WORKPLACE_WIDTH+$BLANK_PLACE_FOR_VALUE) - $F4*strlen($X_LEGEND);
  ImageString($im,$FONT_SIZE_OF_LEGEND,
                  $fx,
                  $GRAPH_HEIGHT - 3/4*$BLANK_PLACE,
                  $X_LEGEND,
                  COLOR($im,$FONT_COLOR_OF_LEGEND));
  // + Legend of Y- axis + \\
  $fx = 2/3*$BLANK_PLACE;
  ImageStringUP($im,$FONT_SIZE_OF_LEGEND,
                  $fx,
                  ($HEADING_HEIGHT) + $F4*strlen($Y_LEGEND),
                  $Y_LEGEND,
                  COLOR($im,$FONT_COLOR_OF_LEGEND));

  // + Number of columns + \\
  $COLUMN_COUNT = sizeof($VALUE_ARRAY);
  // + Step on X-axis + \\
  $X_STEP = ($WORKPLACE_WIDTH / $COLUMN_COUNT);
  //+ Draw horizontal increment lines on the X-axis +\\
  for( $i=0; $i <= $COLUMN_COUNT; $i++ )
   {
    ImageLine($im,$BLANK_PLACE+$BLANK_PLACE_FOR_VALUE+ $i*$X_STEP,
                  $GRAPH_HEIGHT-$BLANK_PLACE-$HEIGHT_OF_TEXT_VALUE-$SIZE_OF_INCREMENT_LINE-1,
                  $BLANK_PLACE+$BLANK_PLACE_FOR_VALUE+ $i*$X_STEP,
                  $GRAPH_HEIGHT-$BLANK_PLACE-$HEIGHT_OF_TEXT_VALUE+$SIZE_OF_INCREMENT_LINE+1,
                  $black);
   }
  $LARGEST = 0;
  for ($i= 0; $i < sizeof($VALUE_ARRAY);$i++)    //+ Get size of the largest column +\\
   {
      if ($LARGEST < $VALUE_ARRAY[$i]) { $LARGEST = $VALUE_ARRAY[$i]; }   
   }

 //+ Parameter for division between vertical size of workplace  and  the largest column +\\
  $KOEF = ($WORKPLACE_HEIGHT-$BLANK_PLACE_OVER_LARGEST_COLUMN) / $LARGEST;
 //+ Size of step on the vertical Y axis  +\\
  $Y_STEP = bcdiv($WORKPLACE_HEIGHT/$KOEF,$STEP_ON_Y_AXIS); // Krok na ose Y \\
  
  for ($i=0; $i <= $Y_STEP; $i++)
   {
    //+ Draw vertical increment lines on the left Y-axis  +\\
    ImageLine($im,$BLANK_PLACE+$BLANK_PLACE_FOR_VALUE - $SIZE_OF_INCREMENT_LINE,
                  $GRAPH_HEIGHT-$BLANK_PLACE-$HEIGHT_OF_TEXT_VALUE - $i * $STEP_ON_Y_AXIS*$KOEF,
                  $BLANK_PLACE+$BLANK_PLACE_FOR_VALUE + $SIZE_OF_INCREMENT_LINE,
                  $GRAPH_HEIGHT-$BLANK_PLACE-$HEIGHT_OF_TEXT_VALUE - $i * $STEP_ON_Y_AXIS*$KOEF,
                  $black);
    //+ Write value of the vertical step on the left Y-axis +\\
    ImageString($im,2,
                $BLANK_PLACE+$BLANK_PLACE_FOR_VALUE + $SIZE_OF_INCREMENT_LINE - 6.5*strlen(trim($STEP_ON_Y_AXIS*$i))-4,
                $GRAPH_HEIGHT-$BLANK_PLACE-$HEIGHT_OF_TEXT_VALUE - $i * $STEP_ON_Y_AXIS*$KOEF -5,
                trim($STEP_ON_Y_AXIS*$i),
                $blue);
    //+ Draw vertical increment lines on the right Y-axis +\\
    ImageLine($im,$WORKPLACE_WIDTH+$BLANK_PLACE+$BLANK_PLACE_FOR_VALUE - $SIZE_OF_INCREMENT_LINE,
                  $GRAPH_HEIGHT-$BLANK_PLACE-$HEIGHT_OF_TEXT_VALUE - $i * $STEP_ON_Y_AXIS*$KOEF,
                  $WORKPLACE_WIDTH+$BLANK_PLACE+$BLANK_PLACE_FOR_VALUE + $SIZE_OF_INCREMENT_LINE,
                  $GRAPH_HEIGHT-$BLANK_PLACE-$HEIGHT_OF_TEXT_VALUE - $i * $STEP_ON_Y_AXIS*$KOEF,
                  $black);                  
    //+ Draw vertical line between left and right Y-axis (with defined color and size) +\\
    if ($i != 0)
     {   ImageLine($im,$BLANK_PLACE+$BLANK_PLACE_FOR_VALUE +1,
                     $GRAPH_HEIGHT-$BLANK_PLACE-$HEIGHT_OF_TEXT_VALUE - $i * $STEP_ON_Y_AXIS*$KOEF,
                     $BLANK_PLACE+$BLANK_PLACE_FOR_VALUE + $WORKPLACE_WIDTH - 1,
                     $GRAPH_HEIGHT-$BLANK_PLACE-$HEIGHT_OF_TEXT_VALUE - $i * $STEP_ON_Y_AXIS*$KOEF,
                     COLOR($im,$COLOR_OF_VERTICAL_LINES));    }              
   }
    //+ Drawing bars +\\
  for ($i= 0; $i < sizeof($VALUE_ARRAY);$i++)
   {
     //+ Correction between width an height of graph +\\
     if ( ($GRAPH_WIDTH >=600)&&($i==0) ) {$korekce = 0;} else {$correction = 1;}
	  //+ Drawing bars with defined color and size +\\
     ImageFilledRectangle($im, $BLANK_PLACE+$BLANK_PLACE_FOR_VALUE+ $i*$X_STEP +$DISTANCE_BETWEEN_COLUMNS+$correction,
                               $GRAPH_HEIGHT-$BLANK_PLACE-$HEIGHT_OF_TEXT_VALUE - ($VALUE_ARRAY[$i]*$KOEF),
                               $BLANK_PLACE+$BLANK_PLACE_FOR_VALUE+ $i*$X_STEP + $X_STEP -$DISTANCE_BETWEEN_COLUMNS,
                               $GRAPH_HEIGHT-$BLANK_PLACE-$HEIGHT_OF_TEXT_VALUE - 1,
                               COLOR($im,$COLOR_ARRAY[$i]));
	  //+ Writing centered name of columns under X-axis (with defined color and size) +\\
     $fx = $BLANK_PLACE+$BLANK_PLACE_FOR_VALUE +($i * $X_STEP) + bcdiv($X_STEP,2) - $F1*strlen($NAME_X_ARRAY[$i]) /2;
     ImageString($im,$FONT_SIZE_OF_NAME,
                     $fx,
                     $GRAPH_HEIGHT-$BLANK_PLACE-$HEIGHT_OF_TEXT_VALUE+$SIZE_OF_INCREMENT_LINE+3,
                     $NAME_X_ARRAY[$i],
                     COLOR($im,$FONT_COLOR_OF_NAME));
	  //+ Writing centered value over the column (with defined color and size) +\\
     $fx = $BLANK_PLACE+$BLANK_PLACE_FOR_VALUE +($i * $X_STEP) + bcdiv($X_STEP,2) - $F2*strlen($VALUE_ARRAY[$i]) /2;                     
     ImageString($im,$FONT_SIZE_OF_VALUE,
                     $fx,
                     $GRAPH_HEIGHT-$BLANK_PLACE-$HEIGHT_OF_TEXT_VALUE - ($VALUE_ARRAY[$i]*$KOEF) - $TEXT_HEIGHT_OF_COLUMN_VALUE,
                     trim($VALUE_ARRAY[$i]),
                     COLOR($im,$FONT_COLOR_OF_VALUE));
   }
  //+ If the filename not exists then draw Gif image else export Gif image into file  +\\
  if (trim($EXPORT_INTO_FILE) == "") { ImageGif($im); }
   else { ImageGif($im,$EXPORT_INTO_FILE); }
  ImageDestroy($im);
}
  
//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++\\

// -------- EXAMPLE --------\\

if ( trim($POSITION) == ""  )
 {

  $VALUE_ARRAY = array(200,100,225,425,60,180,50,108,405,300,200,180);
  $NAME_X_ARRAY = array("JAN","FEB","MAR","APR","MAY","JUN","JUL","AUG","SEP","OKT","NOV"," DEC");
  $COLOR_ARRAY = array("100,100,0", "0,200,100", "30,140,10", "49,60,109", "250,150,30", "16,190,133", "100,100,100", "100,200,100", "130,140,0", "14,60,109", "25,250,30", "16,90,133");
  $GRAPH_HEIGHT = 400;  //+ Height of image  +\\
  $GRAPH_WIDTH = 600;    //+ Width of image  +\\
  $GRAPH_HEADING = "Graph name";
  $X_LEGEND = "X- axis legend";
  $Y_LEGEND = "Y- axis legend";
  $EXPORT_INTO_FILE = ""; //+File name to export image  (  ! you need rights for files creating  !  ) +\\
  $STEP_ON_Y_AXIS = 50;  //+ Make this step + about  1/ 20 of  size\\
  $HEADING_HEIGHT = 40;  //+ Blank place for graph heading  +\\
  $BLANK_PLACE = 25;        //+ Default blank place around a workplace  +\\
  $BLANK_PLACE_FOR_VALUE = 50;  //+ Place for vlaue on the left Y- axis +\\
  $HEIGHT_OF_TEXT_VALUE = 20; //+Text height ( values )  +\\
  $SIZE_OF_INCREMENT_LINE = 2;  //+Height or width for incremental lines on axis (  -|---|---|---|- ) +\\
  $BLANK_PLACE_OVER_LARGEST_COLUMN = 20;  //+Default value for column value +\\
  $DISTANCE_BETWEEN_COLUMNS = 1;  //+ This distance is like :      |||||||||_, _|||||||||_,_|||||||||_, +\\
  $TEXT_HEIGHT_OF_COLUMN_VALUE = 13; //+Text height ( column values )  +\\
  $COLOR_OF_VERTICAL_LINES = "230,230,230"; //+ Color for horizontal help lines +\\
  $GRAPH_FILL_COLOR = "252,252,252"; //+ Fill color of graph +\\
  $F1 = 5.5;  //+ Variable parameter for font size of column name  +\\
  $FONT_SIZE_OF_NAME = 2;  //+ Font size (1 - 9) of column name  +\\
  $FONT_COLOR_OF_NAME = "1,1,255"; //+ Font RGB code for column name  +\\
  $F2 = 5.4;  //+ Variable parameter for font size of column value  +\\
  $FONT_SIZE_OF_VALUE = 2;  //+ Font size (1 - 9) of column value  +\\
  $FONT_COLOR_OF_VALUE = "0,0,0"; //+ Font RGB code for column value +\\
  $F3 = 7;  //+ Variable parameter for font size of graph heading  +\\
  $FONT_SIZE_OF_NAME_GRAPH = "6";  //+ Font size (1 - 9) of graph heading  +\\
  $FONT_COLOR_OF_NAME_GRAPH = "255,0,0"; //+ Font RGB code for graph heading +\\
  $F4 = 8;  //+ Variable parameter for font size of legend  +\\
  $FONT_SIZE_OF_LEGEND = "3";  //+ Font size (1 - 9) of legend  +\\
  $FONT_COLOR_OF_LEGEND = "55,55,55"; //+ Font RGB code for legend +\\
$i=0; 
echo "<HTML>\n"; 
echo "<BODY>\n";
echo "<FORM METHOD=\"POST\" ACTION=\"".$SCRIPT_NAME."\">\n";  
echo "<table align=\"center\" width=\"400\" colspacing=\"1\" cellpadding=\"1\" border=\"0\">\n";
echo "<tr>\n";
echo "    <td align=\"left\" bgcolor=\"#DDDDDD\"><font face=\"Arial\" size=\"2\">GRAPH_HEADING:</font></td><td align=\"left\"> <INPUT TYPE=\"TEXT\" NAME=\"GRAPH_HEADING\" VALUE=\"".$GRAPH_HEADING."\" SIZE=\"15\" MAXLENGTH=\"15\"></td>\n";
echo "</tr>\n";
echo "<tr>\n";
echo "    <td align=\"left\" bgcolor=\"#DDDDDD\"><font face=\"Arial\" size=\"2\">X_LEGEND:</font></td><td align=\"left\"> <INPUT TYPE=\"TEXT\" NAME=\"X_LEGEND\" VALUE=\"".$X_LEGEND."\" SIZE=\"15\" MAXLENGTH=\"15\"></td>\n";
echo "</tr>\n";
echo "<tr>\n";
echo "    <td align=\"left\" bgcolor=\"#DDDDDD\"><font face=\"Arial\" size=\"2\">Y_LEGEND:</font></td><td align=\"left\"> <INPUT TYPE=\"TEXT\" NAME=\"Y_LEGEND\" VALUE=\"".$Y_LEGEND."\" SIZE=\"15\" MAXLENGTH=\"15\"></td>\n";
echo "</tr>\n";
echo "<tr>\n";
echo "    <td align=\"left\" bgcolor=\"#DDDDDD\"><font face=\"Arial\" size=\"2\">GRAPH_HEIGHT:</font></td><td align=\"left\"> <INPUT TYPE=\"TEXT\" NAME=\"GRAPH_HEIGHT\" VALUE=\"".$GRAPH_HEIGHT."\" SIZE=\"15\" MAXLENGTH=\"15\"></td>\n";
echo "</tr>\n";
echo "<tr>\n";
echo "    <td align=\"left\" bgcolor=\"#DDDDDD\"><font face=\"Arial\" size=\"2\">GRAPH_WIDTH:</font></td><td align=\"left\"> <INPUT TYPE=\"TEXT\" NAME=\"GRAPH_WIDTH\" VALUE=\"".$GRAPH_WIDTH."\" SIZE=\"15\" MAXLENGTH=\"15\"></td>\n";
echo "</tr>\n";
echo "<tr>\n";
echo "    <td align=\"left\" bgcolor=\"#DDDDDD\"><font face=\"Arial\" size=\"2\">GRAPH_FILL_COLOR:</font></td><td align=\"left\"> <INPUT TYPE=\"TEXT\" NAME=\"GRAPH_FILL_COLOR\" VALUE=\"".$GRAPH_FILL_COLOR."\" SIZE=\"15\" MAXLENGTH=\"15\"></td>\n";
echo "</tr>\n";
echo "<tr>\n";
echo "    <td align=\"left\" bgcolor=\"#DDDDDD\"><font face=\"Arial\" size=\"2\">COLOR_OF_VERTICAL_LINES:</font></td><td align=\"left\"> <INPUT TYPE=\"TEXT\" NAME=\"COLOR_OF_VERTICAL_LINES\" VALUE=\"".$COLOR_OF_VERTICAL_LINES."\" SIZE=\"15\" MAXLENGTH=\"15\"></td>\n";
echo "</tr>\n";
echo "<tr>\n";
echo "    <td align=\"left\" bgcolor=\"#DDDDDD\"><font face=\"Arial\" size=\"2\">STEP_ON_Y_AXIS:</font></td><td align=\"left\"> <INPUT TYPE=\"TEXT\" NAME=\"STEP_ON_Y_AXIS\" VALUE=\"".$STEP_ON_Y_AXIS."\" SIZE=\"15\" MAXLENGTH=\"15\"></td>\n";
echo "</tr>\n";
echo "<tr>\n";
echo "    <td align=\"left\" bgcolor=\"#DDDDDD\"><font face=\"Arial\" size=\"2\">BLANK_PLACE:</font></td><td align=\"left\"> <INPUT TYPE=\"TEXT\" NAME=\"BLANK_PLACE\" VALUE=\"".$BLANK_PLACE."\" SIZE=\"15\" MAXLENGTH=\"15\"></td>\n";
echo "</tr>\n";
echo "<tr>\n";
echo "    <td align=\"left\" bgcolor=\"#DDDDDD\"><font face=\"Arial\" size=\"2\">BLANK_PLACE_FOR_VALUE:</font></td><td align=\"left\"> <INPUT TYPE=\"TEXT\" NAME=\"BLANK_PLACE_FOR_VALUE\" VALUE=\"".$BLANK_PLACE_FOR_VALUE."\" SIZE=\"15\" MAXLENGTH=\"15\"></td>\n";
echo "</tr>\n";
echo "<tr>\n";
echo "    <td align=\"left\" bgcolor=\"#DDDDDD\"><font face=\"Arial\" size=\"2\">BLANK_PLACE_OVER_LARGEST_COLUMN:</font></td><td align=\"left\"> <INPUT TYPE=\"TEXT\" NAME=\"BLANK_PLACE_OVER_LARGEST_COLUMN\" VALUE=\"".$BLANK_PLACE_OVER_LARGEST_COLUMN."\" SIZE=\"15\" MAXLENGTH=\"15\"></td>\n";
echo "</tr>\n";
echo "<tr>\n";
echo "    <td align=\"left\" bgcolor=\"#DDDDDD\"><font face=\"Arial\" size=\"2\">HEADING_HEIGHT:</font></td><td align=\"left\"> <INPUT TYPE=\"TEXT\" NAME=\"HEADING_HEIGHT\" VALUE=\"".$HEADING_HEIGHT."\" SIZE=\"15\" MAXLENGTH=\"15\"></td>\n";
echo "</tr>\n";
echo "<tr>\n";
echo "    <td align=\"left\" bgcolor=\"#DDDDDD\"><font face=\"Arial\" size=\"2\">HEIGHT_OF_TEXT_VALUE:</font></td><td align=\"left\"> <INPUT TYPE=\"TEXT\" NAME=\"HEIGHT_OF_TEXT_VALUE\" VALUE=\"".$HEIGHT_OF_TEXT_VALUE."\" SIZE=\"15\" MAXLENGTH=\"15\"></td>\n";
echo "</tr>\n";
echo "<tr>\n";
echo "    <td align=\"left\" bgcolor=\"#DDDDDD\"><font face=\"Arial\" size=\"2\">TEXT_HEIGHT_OF_COLUMN_VALUE:</font></td><td align=\"left\"> <INPUT TYPE=\"TEXT\" NAME=\"TEXT_HEIGHT_OF_COLUMN_VALUE\" VALUE=\"".$TEXT_HEIGHT_OF_COLUMN_VALUE."\" SIZE=\"15\" MAXLENGTH=\"15\"></td>\n";
echo "</tr>\n";
echo "<tr>\n";
echo "    <td align=\"left\" bgcolor=\"#DDDDDD\"><font face=\"Arial\" size=\"2\">SIZE_OF_INCREMENT_LINE:</font></td><td align=\"left\"> <INPUT TYPE=\"TEXT\" NAME=\"SIZE_OF_INCREMENT_LINE\" VALUE=\"".$SIZE_OF_INCREMENT_LINE."\" SIZE=\"15\" MAXLENGTH=\"15\"></td>\n";
echo "</tr>\n";
echo "<tr>\n";
echo "    <td align=\"left\" bgcolor=\"#DDDDDD\"><font face=\"Arial\" size=\"2\">F1:</font></td><td align=\"left\"> <INPUT TYPE=\"TEXT\" NAME=\"F1\" VALUE=\"".$F1."\" SIZE=\"15\" MAXLENGTH=\"15\"></td>\n";
echo "</tr>\n";
echo "<tr>\n";
echo "    <td align=\"left\" bgcolor=\"#DDDDDD\"><font face=\"Arial\" size=\"2\">FONT_SIZE_OF_NAME:</font></td><td align=\"left\"> <INPUT TYPE=\"TEXT\" NAME=\"FONT_SIZE_OF_NAME\" VALUE=\"".$FONT_SIZE_OF_NAME."\" SIZE=\"15\" MAXLENGTH=\"15\"></td>\n";
echo "</tr>\n";
echo "<tr>\n";
echo "    <td align=\"left\" bgcolor=\"#DDDDDD\"><font face=\"Arial\" size=\"2\">FONT_COLOR_OF_NAME:</font></td><td align=\"left\"> <INPUT TYPE=\"TEXT\" NAME=\"FONT_COLOR_OF_NAME\" VALUE=\"".$FONT_COLOR_OF_NAME."\" SIZE=\"15\" MAXLENGTH=\"15\"></td>\n";
echo "</tr>\n";
echo "<tr>\n";
echo "    <td align=\"left\" bgcolor=\"#DDDDDD\"><font face=\"Arial\" size=\"2\">F2:</font></td><td align=\"left\"> <INPUT TYPE=\"TEXT\" NAME=\"F2\" VALUE=\"".$F2."\" SIZE=\"15\" MAXLENGTH=\"15\"></td>\n";
echo "</tr>\n";
echo "<tr>\n";
echo "    <td align=\"left\" bgcolor=\"#DDDDDD\"><font face=\"Arial\" size=\"2\">FONT_SIZE_OF_VALUE:</font></td><td align=\"left\"> <INPUT TYPE=\"TEXT\" NAME=\"FONT_SIZE_OF_VALUE\" VALUE=\"".$FONT_SIZE_OF_VALUE."\" SIZE=\"15\" MAXLENGTH=\"15\"></td>\n";
echo "</tr>\n";
echo "<tr>\n";
echo "    <td align=\"left\" bgcolor=\"#DDDDDD\"><font face=\"Arial\" size=\"2\">FONT_COLOR_OF_VALUE:</font></td><td align=\"left\"> <INPUT TYPE=\"TEXT\" NAME=\"FONT_COLOR_OF_VALUE\" VALUE=\"".$FONT_COLOR_OF_VALUE."\" SIZE=\"15\" MAXLENGTH=\"15\"></td>\n";
echo "</tr>\n";
echo "<tr>\n";
echo "    <td align=\"left\" bgcolor=\"#DDDDDD\"><font face=\"Arial\" size=\"2\">F3:</font></td><td align=\"left\"> <INPUT TYPE=\"TEXT\" NAME=\"F3\" VALUE=\"".$F3."\" SIZE=\"15\" MAXLENGTH=\"15\"></td>\n";
echo "</tr>\n";
echo "<tr>\n";
echo "    <td align=\"left\" bgcolor=\"#DDDDDD\"><font face=\"Arial\" size=\"2\">FONT_SIZE_OF_NAME_GRAPH:</font></td><td align=\"left\"> <INPUT TYPE=\"TEXT\" NAME=\"FONT_SIZE_OF_NAME_GRAPH\" VALUE=\"".$FONT_SIZE_OF_NAME_GRAPH."\" SIZE=\"15\" MAXLENGTH=\"15\"></td>\n";
echo "</tr>\n";
echo "<tr>\n";
echo "    <td align=\"left\" bgcolor=\"#DDDDDD\"><font face=\"Arial\" size=\"2\">FONT_COLOR_OF_NAME_GRAPH:</font></td><td align=\"left\"> <INPUT TYPE=\"TEXT\" NAME=\"FONT_COLOR_OF_NAME_GRAPH\" VALUE=\"".$FONT_COLOR_OF_NAME_GRAPH."\" SIZE=\"15\" MAXLENGTH=\"15\"></td>\n";
echo "</tr>\n";
echo "<tr>\n";
echo "    <td align=\"left\" bgcolor=\"#DDDDDD\"><font face=\"Arial\" size=\"2\">F4:</font></td><td align=\"left\"> <INPUT TYPE=\"TEXT\" NAME=\"F4\" VALUE=\"".$F4."\" SIZE=\"15\" MAXLENGTH=\"15\"></td>\n";
echo "</tr>\n";
echo "<tr>\n";
echo "    <td align=\"left\" bgcolor=\"#DDDDDD\"><font face=\"Arial\" size=\"2\">FONT_SIZE_OF_LEGEND:</font></td><td align=\"left\"> <INPUT TYPE=\"TEXT\" NAME=\"FONT_SIZE_OF_LEGEND\" VALUE=\"".$FONT_SIZE_OF_LEGEND."\" SIZE=\"15\" MAXLENGTH=\"15\"></td>\n";
echo "</tr>\n";
echo "<tr>\n";
echo "    <td align=\"left\" bgcolor=\"#DDDDDD\"><font face=\"Arial\" size=\"2\">FONT_COLOR_OF_LEGEND:</font></td><td align=\"left\"> <INPUT TYPE=\"TEXT\" NAME=\"FONT_COLOR_OF_LEGEND\" VALUE=\"".$FONT_COLOR_OF_LEGEND."\" SIZE=\"15\" MAXLENGTH=\"15\"></td>\n";
echo "</tr>\n";
for ($i=0; $i < sizeof($VALUE_ARRAY); $i++)
 {
   echo "<tr>\n<td align=\"left\" bgcolor=\"#AAAAAA\"><font face=\"Arial\" size=\"2\">NAME_ARRAY[]:</font></td><td align=\"left\"> <INPUT TYPE=\"TEXT\" NAME=\"NAME_X_ARRAY[]\" VALUE=\"".$NAME_X_ARRAY[$i]."\" SIZE=\"15\" MAXLENGTH=\"15\"></td>\n</tr>\n";
   echo "<tr>\n<td align=\"left\" bgcolor=\"#CCCCCC\"><font face=\"Arial\" size=\"2\">VALUE_ARRAY[]:</font></td><td align=\"left\"> <INPUT TYPE=\"TEXT\" NAME=\"VALUE_ARRAY[]\" VALUE=\"".$VALUE_ARRAY[$i]."\" SIZE=\"15\" MAXLENGTH=\"15\"></td>\n</tr>\n";
   echo "<tr>\n<td align=\"left\" bgcolor=\"#DDDDDD\"><font face=\"Arial\" size=\"2\">COLOR_ARRAY[]:</font></td><td align=\"left\"> <INPUT TYPE=\"TEXT\" NAME=\"COLOR_ARRAY[]\" VALUE=\"".$COLOR_ARRAY[$i]."\" SIZE=\"15\" MAXLENGTH=\"15\"></td>\n</tr>\n";
}
echo "<tr>\n";
echo "    <td colspan=\"2\" align=\"center\" bgcolor=\"#AAAAAA\"> <INPUT TYPE=\"SUBMIT\"  VALUE=\"Draw graph !\" ></td>\n";
echo "</tr>\n";
echo "</table>\n";
echo " <INPUT TYPE=\"HIDDEN\" NAME=\"POSITION\" VALUE=\"OK\">";
echo " <INPUT TYPE=\"HIDDEN\" NAME=\"DISTANCE_BETWEEN_COLUMNS\" VALUE=\"".$DISTANCE_BETWEEN_COLUMNS."\">";
echo "</FORM>\n";
echo "</BODY>\n";
echo "</HTML>\n";
 }
else
 {
  
//********************************************************************************************\\
BAR_CHART(
                $VALUE_ARRAY, $NAME_X_ARRAY, $COLOR_ARRAY,
                $GRAPH_HEADING, $X_LEGEND, $Y_LEGEND, $GRAPH_HEIGHT, $GRAPH_WIDTH,
                $HEADING_HEIGHT, $BLANK_PLACE, $BLANK_PLACE_FOR_VALUE, $HEIGHT_OF_TEXT_VALUE,
                $SIZE_OF_INCREMENT_LINE, $BLANK_PLACE_OVER_LARGEST_COLUMN, $DISTANCE_BETWEEN_COLUMNS,
                $TEXT_HEIGHT_OF_COLUMN_VALUE, $STEP_ON_Y_AXIS, $COLOR_OF_VERTICAL_LINES,$GRAPH_FILL_COLOR,
                $EXPORT_INTO_FILE, $F1, $FONT_SIZE_OF_NAME, $FONT_COLOR_OF_NAME,
                $F2, $FONT_SIZE_OF_VALUE, $FONT_COLOR_OF_VALUE, $FONT_SIZE_OF_NAME_GRAPH,
                $F3, $FONT_COLOR_OF_NAME_GRAPH, $FONT_SIZE_OF_LEGEND, $F4, $FONT_COLOR_OF_LEGEND
               );
//********************************************************************************************\\               
}

?>